# Libreoffice UI
# Reference: https://wiki.documentfoundation.org/Development/Environment_variables
#export SAL_USE_VCLPLUGIN=qt5   # gtk3, qt5, or gen. Default is gtk3. gtk3 can be slow on radeon.
#export SAL_VCL_QT5_USE_CAIRO=1 # prevent UI text corruption when SAL_USE_VCLPLUGIN=qt5
#export SAL_DISABLESKIA=1       # disable SKIA gui engine - may or may not help with sluggishness

# Qt5 scaling settings
# Reference: https://doc.qt.io/qt-5/highdpi.html
#export QT_AUTO_SCREEN_SCALE_FACTOR=1 # default is 0, leave at zero if we set below
#export QT_ENABLE_HIGHDPI_SCALING=1   # replacement for QT_AUTO_SCREEN_SCALE_FACTOR in Qt 5.14 onwards
#export QT_SCALE_FACTOR=2             # default 1. Fractional ok.
#QT_SCREEN_SCALE_FACTORS="2;2"        # for multiple screens. Default 1.
#export QT_FONT_DPI=96                # default is 96

# GTK3 scaling settings
#export GDK_SCALE=2       # default 1, this scales the entire UI element. Integer only.
#export GDK_DPI_SCALE=0.5 # default 1, this scales the TEXT only. Fractions ok.

# More scaling tips
# https://unix.stackexchange.com/questions/596887/how-to-scale-the-resolution-display-of-the-desktop-and-or-applications
# and of course this: https://wiki.archlinux.org/title/HiDPI
